Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Chintan_M_
Beginner
66 Views

Error in Visual Studio 2015 which goes away in 2012

I am running the following code on my Windows10 machine with API version 1.19

#include<stdio.h>
#include"mfxvideo++.h"

void main() {
	printf("this is a new program using intel media sdk");

	mfxSession SWsess;
	mfxVersion SWver = {0,1}, ver;
	mfxStatus sts;

	sts = MFXInit(MFX_IMPL_SOFTWARE, &SWver, &SWsess);

	if (MFX_ERR_NONE == sts) {
		MFXQueryVersion(SWsess, &ver);
		printf("Implementation version: %d.%d and API version: %d.%d", SWver.Major, SWver.Minor, ver.Major, ver.Minor);
	}

	MFXClose(SWsess);

	getchar();
}

I made the project in Visual Studio 2015 but received following errors

  • Severity    Error Code
    • Description
    • Project
    • File path
    • Program Line

The errors have been written in above format.

  • Error    LNK1120    
    • 2 unresolved externals    
    • ScreenCapture    
    • ~\Visual Studio\ScreenCapture\x64\Debug\ScreenCapture.exe    
    • 1    
  • Error    LNK2019    
    • unresolved external symbol __imp_printf referenced in function main    
    • ScreenCapture    
    • ~\Visual Studio\ScreenCapture\ScreenCapture\main.obj    
    • 1    
  • Error    LNK2019    
    • unresolved external symbol swscanf_s referenced in function "private: bool __cdecl MFX::MFXPluginsInFS::ParseKVPair(wchar_t *,wchar_t *,class MFX::PluginDescriptionRecord &)" (?ParseKVPair@MFXPluginsInFS@MFX@@AEAA_NPEA_W0AEAVPluginDescriptionRecord@2@@Z)    
    • ScreenCapture    
    • ~\Visual Studio\ScreenCapture\ScreenCapture\libmfx.lib(mfx_plugin_hive.obj)    
    • 1    
  • Warning    LNK4098    
    • defaultlib 'LIBCMT' conflicts with use of other libs; use /NODEFAULTLIB:library    
    • ScreenCapture    
    • ~\Visual Studio\ScreenCapture\ScreenCapture\LINK    
    • 1

However, in Visual Studio 2012 the aforementioned code runs fine. Please advise what should I do to upgrade my project to Visual Studio 2015?

 

 

 

0 Kudos
1 Reply
Chintan_M_
Beginner
66 Views

Someone had the answer for this on Stackoverflow http://stackoverflow.com/a/41915382/6910540 . As explained in the answer given on StackOverFLow, the API version 1.19 doesn't support Visual Studio 2015.

Reply